<ng-container *transloco="let t; read: 'navigation'">
  <!-- <div class="twelve-column-container organizations-overview-container margin-center-start">
    <span class="headline container-header">{{t('organizations')}}</span>
  </div> -->
  <div class="toolbar-container">
    <div class="twelve-column-container organizations-overview-container margin-center">
      <div class="ten-column-container inner-toolbar-container margin-center">
        <span
          *ngrxLet="loggedIn$; let loggedIn"
          [matTooltip]="t('create_organization_disabled')"
          [matTooltipDisabled]="loggedIn">
          <button
            mat-flat-button
            color="primary"
            class="organization-create-button round-button"
            [disabled]="!loggedIn"
            (click)="createOrganization()">
            <span class="button-align-icon">
              <mat-icon>add</mat-icon>
              {{t('create_organization')}}
            </span>
          </button>
        </span>
        <app-search-bar
          class="organization-search-bar"
          [placeholder]="('search.organization'|transloco)"
          [searchValue]="(search$|ngrxPush)"
          (searchSubmit)="searchSubmit($event)">
        </app-search-bar>
      </div>
    </div>
  </div>
  <div class="twelve-column-container margin-center">
    <ng-container *ngrxLet="organizations$; let n; let e = error; let c = complete">
      <ng-container *ngIf="e">There is an error: {{e}}</ng-container>
      <ng-container *ngIf="c">Observable completed: {{c}}</ng-container>
      <div
        *ngIf="n && n.length > 0; else noResults"
        class="ten-column-container organizations-content margin-center-start">
        <app-organization-card
          class="standard-hover"
          *ngFor="let organization of n; trackBy:identify"
          (click)="cardClickedNavigate(organization.organization_id)"
          [organization]="organization">
        </app-organization-card>
      </div>
    </ng-container>
  </div>
</ng-container>
<ng-template #noResults>
  <div class="no-result">
    <div *ngrxLet="search$; let s;">
      <span *ngIf="s;else noContent">{{'search.no_result'|transloco}}</span>
      "{{s}}"
    </div>
    <ng-template #noContent>
      {{'organization.empty_org_list'|transloco}}
    </ng-template>
  </div>
</ng-template>

